package com.ls11.dominohelper;

import lotus.domino.NotesException;
import lotus.domino.Session;

/**
 * A {@link IDominoCallable} wraps a block of code that needs to be executed within
 * the scope of a Notes {@link Session}
 * 
 * @author Karsten Lehmann
 *
 * @param <T>
 */
public interface IDominoCallable<T> {

	/**
	 * Implement this method and add your code
	 * 
	 * @param session current session; it is not guaranteed that the same session is passed into the next {@link IDominoCallable}
	 * @return optional result
	 * @throws NotesException
	 */
	public T call(Session session) throws NotesException;
	
}
