package com.ls11.externalcodesample.test;

import com.ls11.externalcodesample.names.CurrentUserInfo;

/**
 * Test case to check that {@link CurrentUserInfo} works correctly
 * 
 * @author Karsten Lehmann
 */
public class CurrentUserInfoTest extends NotesTestCase {
	private CurrentUserInfo m_currUserInfo;
	
	@Override
	public void setUp() {
		super.setUp();
		
		m_currUserInfo=new CurrentUserInfo();
	}

	/**
	 * Check that common and abbreviated name 
	 */
	public void testCommonNameAndAbbrNameConsistent() {
		String commonName=m_currUserInfo.getCommonName();
		String abbrName=m_currUserInfo.getAbbreviatedName();
		
		//the values cannot be null
		assertNotNull(commonName);
		assertNotNull(abbrName);
		
		int iPos=abbrName.indexOf("/");
		assertTrue((iPos != - 1) && (iPos != 0) );
		
		String firstAbbrNamePart=abbrName.substring(0, iPos);
		assertEquals(commonName, firstAbbrNamePart);
	}

	public void testOrganisation() {
		String organisation=m_currUserInfo.getOrganisation();
		
		assertNotNull(organisation);
	}
	
	@Override
	public void tearDown() {
		m_currUserInfo=null;
		
		super.tearDown();
	}
}
