package com.ls11.externalcodesample.test;

import java.lang.reflect.InvocationTargetException;

import javax.swing.SwingUtilities;

import junit.framework.TestCase;
import lotus.domino.NotesThread;

/**
 * Base class for test cases that are using Notes data
 * 
 * @author Karsten Lehmann
 */
public abstract class NotesTestCase extends TestCase {
	
	@Override
	public void setUp() {
		//this call is only needed for test execution from a GUI; it prevents
		//Notes from asking for the ID password in the console (which does not
		//work from Eclipse). Instead, a password dialog is displayed
		try {
			SwingUtilities.invokeAndWait(new Runnable() {
				@Override
				public void run() {
					//we just want to launch the Swing event dispatch thread
				}});
		} catch (InterruptedException e) {
			e.printStackTrace();
		} catch (InvocationTargetException e) {
			e.printStackTrace();
		}
		
		NotesThread.sinitThread();
	}

	@Override
	public void tearDown() {
		NotesThread.stermThread();
	}

}
